public class ListeSaDodavanjemNaKraj {

	public static void main(String[] args) {
		ListaBrojevaKraj listak = new ListaBrojevaKraj();
		listak.dodajNaKraj(4);
		listak.dodajNaKraj(5);
		
		listak.dodajNaPocetak(3);
		listak.dodajNaPocetak(2);
		
		listak.dodajNaKraj(6);
		
		listak.dodajNaPocetak(1);
		
		listak.stampajNaEkran();
	}

}

/**
 * Lista brojeva sa mogućnošću dodavanja na kraj.
 */
class ListaBrojevaKraj {
	
	/**
	 * Element u klasi ListaBrojeva. Sadrzi informaciju, odnosno broj i
	 * pokazivac na sledeci element u listi.
	 */
	class Element {
		int info;
		Element veza;

		public Element(int br) {
			this.info = br;
			this.veza = null;
		}

		public String toString() {
			return info + "";
		}
	}
	
	// pokazivac na prvi element liste
	Element prvi;
	// pokazivac na poslednji element liste
	Element poslednji;

	/** Kreira praznu listu brojeva. */
	public ListaBrojevaKraj() {
		this.prvi = null;
		this.poslednji = null;
	}

	/** Dodaje novi broj na pocetak liste */
	public void dodajNaPocetak(int br) {
		Element novi = new Element(br);
		novi.veza = prvi;
		prvi = novi;
		if (poslednji == null){
			poslednji = novi;
		}
	}
	
	public void dodajNaKraj(int br) {
		if (poslednji == null) {
			dodajNaPocetak(br);
		} else {
			Element novi = new Element(br);
			poslednji.veza = novi;
			poslednji = novi;
		}
	}

	/** Vraca da li je lista prazna */
	public boolean jePrazna() {
		return prvi == null;
	}

	public void stampajNaEkran() {
		if (jePrazna()) {
			Svetovid.out.println("Lista je prazna");
		} else {
			Svetovid.out.println("Sadrzaj liste:");
			Element tekuci = prvi;
			while (tekuci != null) {
				System.out.println(tekuci.info);
				tekuci = tekuci.veza;
			}
			System.out.println();
		}
	}

	public String toString() {
		String rez = "Lista: [ ";
		Element tekuci = prvi;
		while (tekuci != null) {
			rez += tekuci.info + " ";
			tekuci = tekuci.veza;
		}
		rez += "]";
		return rez;
	}

}